Package org.eclipse.emf.cdo.expressions.util

## Class ExpressionsSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.emf.cdo.expressions.util.ExpressionsSwitch<T>

-     public class ExpressionsSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `ExpressionsPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static ExpressionsPackage` | `modelPackage` | The cached model package

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpressionsSwitch()` | Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `caseAccess​(Access object)` | Returns the result of interpreting the object as an instance of 'Access'.
    `T` | `caseBooleanValue​(BooleanValue object)` | Returns the result of interpreting the object as an instance of 'Boolean Value'.
    `T` | `caseByteValue​(ByteValue object)` | Returns the result of interpreting the object as an instance of 'Byte Value'.
    `T` | `caseCharValue​(CharValue object)` | Returns the result of interpreting the object as an instance of 'Char Value'.
    `T` | `caseContainedObject​(ContainedObject object)` | Returns the result of interpreting the object as an instance of 'Contained Object'.
    `T` | `caseContextAccess​(ContextAccess object)` | Returns the result of interpreting the object as an instance of 'Context Access'.
    `T` | `caseDoubleValue​(DoubleValue object)` | Returns the result of interpreting the object as an instance of 'Double Value'.
    `T` | `caseExpression​(Expression object)` | Returns the result of interpreting the object as an instance of 'Expression'.
    `T` | `caseFloatValue​(FloatValue object)` | Returns the result of interpreting the object as an instance of 'Float Value'.
    `T` | `caseFunctionInvocation​(FunctionInvocation object)` | Returns the result of interpreting the object as an instance of 'Function Invocation'.
    `T` | `caseIntValue​(IntValue object)` | Returns the result of interpreting the object as an instance of 'Int Value'.
    `T` | `caseInvocation​(Invocation object)` | Returns the result of interpreting the object as an instance of 'Invocation'.
    `T` | `caseLinkedExpression​(LinkedExpression object)` | Returns the result of interpreting the object as an instance of 'Linked Expression'.
    `T` | `caseLinkedObject​(LinkedObject object)` | Returns the result of interpreting the object as an instance of 'Linked Object'.
    `T` | `caseListConstruction​(ListConstruction object)` | Returns the result of interpreting the object as an instance of 'List Construction'.
    `T` | `caseLongValue​(LongValue object)` | Returns the result of interpreting the object as an instance of 'Long Value'.
    `T` | `caseMemberAccess​(MemberAccess object)` | Returns the result of interpreting the object as an instance of 'Member Access'.
    `T` | `caseMemberInvocation​(MemberInvocation object)` | Returns the result of interpreting the object as an instance of 'Member Invocation'.
    `T` | `caseShortValue​(ShortValue object)` | Returns the result of interpreting the object as an instance of 'Short Value'.
    `T` | `caseStaticAccess​(StaticAccess object)` | Returns the result of interpreting the object as an instance of 'Static Access'.
    `T` | `caseStringValue​(StringValue object)` | Returns the result of interpreting the object as an instance of 'String Value'.
    `T` | `caseValue​(Value object)` | Returns the result of interpreting the object as an instance of 'Value'.
    `T` | `defaultCase​(org.eclipse.emf.ecore.EObject object)` | Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch​(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` | Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)` | Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static ExpressionsPackage modelPackage

      The cached model package
      Generated

  - ### Constructor Detail

    - #### ExpressionsSwitch

          public ExpressionsSwitch()

      Creates an instance of the switch.
      Generated

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `ePackage` - the package in question.
      Returns:
        whether this is a switch for the given package.
      Generated

    - #### doSwitch

          protected T doSwitch​(int classifierID,
                               org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated

    - #### caseExpression

          public T caseExpression​(Expression object)

      Returns the result of interpreting the object as an instance of 'Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Expression'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseValue

          public T caseValue​(Value object)

      Returns the result of interpreting the object as an instance of 'Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseBooleanValue

          public T caseBooleanValue​(BooleanValue object)

      Returns the result of interpreting the object as an instance of 'Boolean Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Boolean Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseByteValue

          public T caseByteValue​(ByteValue object)

      Returns the result of interpreting the object as an instance of 'Byte Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Byte Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseShortValue

          public T caseShortValue​(ShortValue object)

      Returns the result of interpreting the object as an instance of 'Short Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Short Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseIntValue

          public T caseIntValue​(IntValue object)

      Returns the result of interpreting the object as an instance of 'Int Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Int Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseLongValue

          public T caseLongValue​(LongValue object)

      Returns the result of interpreting the object as an instance of 'Long Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Long Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseFloatValue

          public T caseFloatValue​(FloatValue object)

      Returns the result of interpreting the object as an instance of 'Float Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Float Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseDoubleValue

          public T caseDoubleValue​(DoubleValue object)

      Returns the result of interpreting the object as an instance of 'Double Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Double Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseCharValue

          public T caseCharValue​(CharValue object)

      Returns the result of interpreting the object as an instance of 'Char Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Char Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseStringValue

          public T caseStringValue​(StringValue object)

      Returns the result of interpreting the object as an instance of 'String Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'String Value'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseInvocation

          public T caseInvocation​(Invocation object)

      Returns the result of interpreting the object as an instance of 'Invocation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Invocation'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseFunctionInvocation

          public T caseFunctionInvocation​(FunctionInvocation object)

      Returns the result of interpreting the object as an instance of 'Function Invocation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Function Invocation'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseMemberInvocation

          public T caseMemberInvocation​(MemberInvocation object)

      Returns the result of interpreting the object as an instance of 'Member Invocation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Member Invocation'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseAccess

          public T caseAccess​(Access object)

      Returns the result of interpreting the object as an instance of 'Access'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Access'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseStaticAccess

          public T caseStaticAccess​(StaticAccess object)

      Returns the result of interpreting the object as an instance of 'Static Access'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Static Access'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseMemberAccess

          public T caseMemberAccess​(MemberAccess object)

      Returns the result of interpreting the object as an instance of 'Member Access'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Member Access'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseContextAccess

          public T caseContextAccess​(ContextAccess object)

      Returns the result of interpreting the object as an instance of 'Context Access'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Context Access'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseContainedObject

          public T caseContainedObject​(ContainedObject object)

      Returns the result of interpreting the object as an instance of 'Contained Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Contained Object'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseLinkedObject

          public T caseLinkedObject​(LinkedObject object)

      Returns the result of interpreting the object as an instance of 'Linked Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Linked Object'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseLinkedExpression

          public T caseLinkedExpression​(LinkedExpression object)

      Returns the result of interpreting the object as an instance of 'Linked Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Linked Expression'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseListConstruction

          public T caseListConstruction​(ListConstruction object)

      Returns the result of interpreting the object as an instance of 'List Construction'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'List Construction'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### defaultCase

          public T defaultCase​(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated